import 'package:prompter_mh/prompter_mh.dart';

void main() {
  // Instantiate a prompter instance
  Prompter prompter = Prompter();

  // Ask some questions
  prompter.ask(
    'color',
    'What Color Do You Want?',
    'multiple',
    [
      Option(label: 'I want red', value: '#f44141'),
      Option(label: 'I want blue', value: '#4158f4'),
      Option(label: 'I want green', value: '#42f47d'),
      Option(label: 'I want yellow', value: '#f4f441'),
    ]
  );

  prompter.ask(
    'likeBanana',
    'Do you like banana?',
    'binary',
    null,
  );

  prompter.ask(
    'name',
    'What is your name?',
    'text',
    null,
  );
  

  print(prompter.results);
}
